---
title: Talks 1/2
author: Franck
twitter: CesarioGW
layout: post
published: true
---

Hi friends,

It is time to unveil the first talks of RuLu 2012!

The discount at the Park&amp;Suites hotel and the early bird tickets
are also finishing today. <a href="http://www.weezevent.com/rulu2012">Register now!</a>

## Constants in Ruby <small>(Xavier Noria)</small>

Constants are a rich and under-documented topic in Ruby. We are going
to cover them in detail, their relationship with classes and modules,
nesting, resolution algorithms, dynamic API, etc. At the end of the
talk we will connect the dots to explain at a high level how constant
autoloading works in Ruby on Rails.

## RATFT <small>(Refactor All the F-ing Time, Anthony Eden)</small>

You know you should be testing all the time, but do you know *why* you are
testing all the time? One of the main benefits of testing all the time is that
it lets you refactor with impunity. Unfortunately too many times we leave the
"refactor" out of the red-green-refactor. In this talk I will convince you that
you should be refactoring all the time and I'll show you some of the techniques
on how you can do it. With good refactoring techniques and regular refactoring
even the hairiest of codebases can be tamed.

## Message in a bottle <small>(Konstantin Haase)</small>

What does really happen when we call a method? How do the different Ruby
implementations actually figure out what code to execute? What plumbing is
going on under the hood to get a speedy dispatch? In this talk we will have a
look at the internals of the the major Ruby implementations, focusing on their
dispatch. From look-up tables and call site caches, to inlining and what on
earth is invokedynamic? Fear not, all will be explained!

## Transforming your data with Ruby and ActiveWarehouse-ETL <small>(Thibaut Barrère)</small>

This talk will introduce ActiveWarehouse-ETL, which helps you extract,
transform and move your data around in Ruby. You will as well discover a sample
of what people achieve in production using it since 2006.

1# Beginner guide to ActiveWarehouse-ETL

* gem presentation <small>(concepts etc)</small>
* beginner examples of data processing

2# Real-life examples

All in Ruby:

* extracting data from a CRM to build a dimensional dashboard <small>(business intelligence)</small>
* extracting and geocoding places before publishing a map on the web
* adapting data for consumption by COBOL systems
* cleaning and extending the CRM
* extracting only what changed <small>(aka Change Data Capture)</small>

## Happiness is not Choice. It is is Constraint. <small>(Alex Coles)</small>

There are times when we can work with the technologies we love... and
there are times when we have to work with WebSphere and Oracle. The
virtues of being opinionated have been extolled since the inception of
Rails. Sometimes though, we can’t afford to be dogmatic.
Through a mixture of philosophy and personal experiences with examples
of the worst deployment environments, we’ll not only see that freedom
of choice is not always the answer. On the contrary, happiness can be
found when confronted with tight constraints. You will hear the
essential tricks that turn constraints into Ruby happiness.


## Why Our Code Smells <small>(Brandon Keepers)</small>

Odors are communication devices. They exist for a reason and are usually trying
to tell us something.

Our code smells and it is trying to tell us what is wrong. Does a test case
require a lot of setup? Maybe the code being tested is doing too much, or it is
not isolated enough for the test? Does an object have an abundance of instance
variables? Maybe it should be split into multiple objects? Is a view brittle?
Maybe it is too tightly coupled to a model, or maybe the logic needs abstracted
into an object that can be tested?

In this talk, I will walk through code from projects that I work on every day,
looking for smells that indicate problems, understanding why it smells, what
the smell is trying to tell us, and how to refactor it.
