---
title: Talks 2/2
author: Franck
twitter: CesarioGW
layout: post
published: true
---

## I Am Rails (And So Can You!):<br />My experiences learning and teaching Rails<br /><small>(Joan Wolkerstorfer)</small>

I taught myself to code and went from zero to a full-time programming gig in
under a year. I will discuss my story, tools for new developers, and what I've
learned from coaching with RailsGirls, particularly what we can do to teach new
programmers, with a focus on women.

## RubyMotion: Ruby in your pocket<br /><small>(Laurent Sansonetti)</small>

RubyMotion is a revolutionary toolchain for iOS development using Ruby. With
RubyMotion, developers can finally write full-fledged native iOS apps in Ruby,
the language you all know and love. In this session, we will cover what
RubyMotion is and how easy it is to write an app with it.

## Beyond the ORM <small>(Piotr Solnica)</small>

Ruby developers are living in the world of Active Record. No matter what ORM
you're using, it's an implementation of the Active Record pattern. There's been
a recent discussion in our community about separating business logic from the
persistence concerns. People are experimenting with different approaches but
they still use an ActiveRecord ORM under the hood.

In this presentation I will give you an introduction to the development of
DataMapper 2 - the first true implementation of the Data Mapper pattern in Ruby
language. I will talk a little bit about ORM patterns and show you core parts
of DM2 that already exist and the ones we're going to build soon.

## Improving Inter Service Communication<br /><small>(Thorben Schröder)</small>

In times when applications get more and more split up into small pieces that
have to communicate with each other it's critical to have systems in place that
make this communication as trouble-free as possible. This talk covers what we
did at Engine Yard to improve our inter service communication and how you can
apply that to your own infrastructure.

## DCI diet for your models <small>(Marcin Olichwirowicz)</small>

Everyone knows the rule "fat models, thin controllers". It's really efficient
when it comes to simple applications, but when we have an enterprise
application, suddenly our models seem to look a bit overweight. Actually they
are fat and ugly. I want to show a few examples of using DCI architectural
pattern (which is complementary to MVC pattern) with Rails as a potential
solution for these problems. My personal goal is to encourage people to
experiment with the code and thinking outside the box (Rails box). Start
thinking through domain model, not database design, to look at Datamapper
pattern and DDD concepts. However, DCI is a good start to enter this enterprise
world.

## Modular & reusable front-end code with HTML5, Sass and CoffeeScript <small>(Roy Tomeij)</small>

A lot of Ruby developers use Rails for their everyday projects. Often they toy
around with front-end themselves or outsource it, ending up tangled in a web of
css-all-over-the-place.

Keeping your front-end code clean is hard. Before you know it you're suffering
from CSS specificity issues and not-really-generic partials. Find out how to
keep things tidy using the HTML5 document outline and modular Sass &amp;
CoffeeScript, for truly reusable code.

## I know Kung Fu (or using neo4j on Rails without JRuby)!<br /><small>(Rogelio Samour)</small>

Sure graph databases are really cool and have a timestamp dated next week, but
do you know when you should actually use one? Sometimes living on the bleeding
edge pays off and in this talk, I’ll show you how you can simplify your
application and model your data more naturally with a graph database. They are
suited towards a specific problem that is actually quite common in today’s
applications and they may even apply to that thing you’ll be working on during
this talk!
